setNames {stats} | R Documentation

## Set the Names in an Object

### Description

This is a convenience function that sets the names on an object and returns the object. It is most useful at the end of a function definition where one is creating the object to be returned and would prefer not to store it under a name just so the names can be assigned.

### Usage

    setNames(object = nm, nm)

### Arguments

`object` | an object for which a `names` attribute will be meaningful
`nm` | a character vector of names to assign to the object

### Value

An object of the same sort as `object` with the new names assigned.

### Author(s)

Douglas M. Bates and Saikat DebRoy

### See Also

`unname` for removing names.

### Examples

    setNames( 1:3, c("foo", "bar", "baz") )
    # this is just a short form of
    tmp <- 1:3
    names(tmp) <-  c("foo", "bar", "baz")
    tmp

    ## special case of character vector, using default
    setNames(nm = c("First", "2nd"))

[Package stats version 3.5.1 Index]